clear, clc, mode(0),  close(winsid()) 
//cviceni 4 - simulace diskrétniho modelu $f(y_t|y_{t-1},\Theta)$ s kategorickým rozdělením
//// s výstupem $y_{t}\in\{1,2,3\}$

nd=100; //počet dat

////parametry pro 3 hodnoty výstupu
th=[0.15 .75 .1;
    0.2 0.1  0.7;
    0.8 .15 .05]; 
    
//////deterministický model - vliv pravděpodobností   
th=[0 1 0;
    0 0 1;
    1 0 0];    


y(1)=1; // počáteční podmínky


for t=2:nd ///// cyklus od 2 pro 1.řád
    j=y(t-1); //určíme řádek podle zpožděné hodnoty
    pp=cumsum(th(j,:)); /// kumulativní součet
    y(t)=sum(rand(1,1,'u')>pp)+1; // generuje hodnoty 1,2,3
end 


//vykreslime graf
plot(y,'b-*','Markersize',14)
title('Simulace s diskrétním modelem','fontsize',6)
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)
set(gca(),"data_bounds",[0 nd min(y)-0.5 max(y)+0.5]) //nastavení os
